Package com.creditcall.chipdnamobile

# Class Parameters

java.lang.Object
com.creditcall.chipdnamobile.Parameters

public class Parameters extends Object
Created by shingai.manyiwa on 12/06/2017.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(String key, int value)`
  Adds the value with the specified key.
  `void`
  `add(String key, String value)`
  Adds the value with the specified key.
  `boolean`
  `containsKey(String key)`
  Determines whether the `Parameters` contains the specified key.
  `int`
  `count()`
  The number of items held.
  `String`
  `getValue(String key)`
  .
  `boolean`
  `isEmpty()`
  Determines whether the `Parameters` contains any items.
  `void`
  `remove(String key)`
  Removes the value with the specified key.
  `List<Parameter>`
  `toList()`
  Puts all objects into a list and is returned.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Parameters

    public Parameters()

- ## Method Details

  - ### add

    public void add(String key, String value)
    Adds the value with the specified key.
    Parameters:
      `key` - Key.
      `value` - Value.

  - ### add

    public void add(String key, int value)
    Adds the value with the specified key.
    Parameters:
      `key` - Key.
      `value` - Value.

  - ### remove

    public void remove(String key)
    Removes the value with the specified key.
    Parameters:
      `key` - Key.

  - ### count

    public int count()
    The number of items held.
    Returns:
      Size of the data structure.

  - ### isEmpty

    public boolean isEmpty()
    Determines whether the `Parameters` contains any items.
    Returns:
      true if empty.

  - ### containsKey

    public boolean containsKey(String key)
    Determines whether the `Parameters` contains the specified key.
    Parameters:
      `key` - Key value
    Returns:
      true if the key is held within the data structure.

  - ### getValue

    public String getValue(String key)
    . Gets the value associated with the specified key.`ParameterKeys` for possible key values.
    Parameters:
      `key` - value
    Returns:
      String of the value if contained within `Parameters`, else null.

  - ### toList

    public List<Parameter> toList()
    Puts all objects into a list and is returned.
    Returns:
      List